<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping package="com.ifish.entity">
	<class name="HardwareType" table="tbl_hardware_type" dynamic-insert="true" dynamic-update="true">
		<meta attribute="sync-DAO">false</meta>
		<id name="hardwareType" type="string" column="hardware_type">
			<generator class="assigned"/>
		</id>
		<property name="hardwareName" 		column="hardware_name" 		type="string"		not-null="true" 	length="20"/>
		<property name="controlAmount" 		column="control_amount" 	type="java.lang.Integer"		not-null="true"/>
		<property name="timerAmount" 		column="timer_amount" 		type="java.lang.Integer"		not-null="true"/>
		<property name="isWorkModel" 		column="is_work_model" 		type="string" 		length="1"/>
		<property name="isCustomIcon" 		column="is_custom_icon" 	type="string" 		length="1"/>
		<property name="allIconName" 		column="all_icon_name"	 	type="string" 		length="200"/>
		<property name="allShowName" 		column="all_show_name"	 	type="string" 		length="200"/>
		<property name="defaultIconName" 	column="default_icon_name" 	type="string" 		length="200"/>
		<property name="defaultShowName" 	column="default_show_name" 	type="string" 		length="200"/>
		<property name="iconLink" 			column="icon_link" 			type="string" 		length="100"/>
		<property name="isLightness" 		column="is_lightness" 		type="string" 		length="1"/>
		<property name="isSarkLamp" 		column="is_sark_lamp" 		type="string" 		length="1"/>
		<property name="hardwareDesc" 		column="hardware_desc" 		type="string" 		length="100"/>
		<property name="updateTime" 		column="update_time" 		type="timestamp"/>
		<property name="createTime" 		column="create_time" 		type="timestamp" 	update="false"/>
	</class>
</hibernate-mapping>